Package ghidra.rmi.trace

# Class TraceRmi.ObjSpec.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.ObjSpec.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ObjSpec.Builder>
ghidra.rmi.trace.TraceRmi.ObjSpec.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.ObjSpecOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.ObjSpec`

public static final class TraceRmi.ObjSpec.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ObjSpec.Builder> implements TraceRmi.ObjSpecOrBuilder
Protobuf type `ghidra.rmi.trace.ObjSpec`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.ObjSpec`
  `build()`
  `TraceRmi.ObjSpec`
  `buildPartial()`
  `TraceRmi.ObjSpec.Builder`
  `clear()`
  `TraceRmi.ObjSpec.Builder`
  `clearId()`
  `int64 id = 1;`
  `TraceRmi.ObjSpec.Builder`
  `clearKey()`
  `TraceRmi.ObjSpec.Builder`
  `clearPath()`
  `.ghidra.rmi.trace.ObjPath path = 2;`
  `TraceRmi.ObjSpec`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `long`
  `getId()`
  `int64 id = 1;`
  `TraceRmi.ObjSpec.KeyCase`
  `getKeyCase()`
  `TraceRmi.ObjPath`
  `getPath()`
  `.ghidra.rmi.trace.ObjPath path = 2;`
  `TraceRmi.ObjPath.Builder`
  `getPathBuilder()`
  `.ghidra.rmi.trace.ObjPath path = 2;`
  `TraceRmi.ObjPathOrBuilder`
  `getPathOrBuilder()`
  `.ghidra.rmi.trace.ObjPath path = 2;`
  `boolean`
  `hasId()`
  `int64 id = 1;`
  `boolean`
  `hasPath()`
  `.ghidra.rmi.trace.ObjPath path = 2;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.ObjSpec.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.ObjSpec.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.ObjSpec.Builder`
  `mergeFrom(TraceRmi.ObjSpec other)`
  `TraceRmi.ObjSpec.Builder`
  `mergePath(TraceRmi.ObjPath value)`
  `.ghidra.rmi.trace.ObjPath path = 2;`
  `TraceRmi.ObjSpec.Builder`
  `setId(long value)`
  `int64 id = 1;`
  `TraceRmi.ObjSpec.Builder`
  `setPath(TraceRmi.ObjPath value)`
  `.ghidra.rmi.trace.ObjPath path = 2;`
  `TraceRmi.ObjSpec.Builder`
  `setPath(TraceRmi.ObjPath.Builder builderForValue)`
  `.ghidra.rmi.trace.ObjPath path = 2;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ObjSpec.Builder>`

  - ### clear

    public TraceRmi.ObjSpec.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ObjSpec.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ObjSpec.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.ObjSpec getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.ObjSpec build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.ObjSpec buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.ObjSpec.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.ObjSpec.Builder>`

  - ### mergeFrom

    public TraceRmi.ObjSpec.Builder mergeFrom(TraceRmi.ObjSpec other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.ObjSpec.Builder>`

  - ### mergeFrom

    public TraceRmi.ObjSpec.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.ObjSpec.Builder>`
    Throws:
      `IOException`

  - ### getKeyCase

    public TraceRmi.ObjSpec.KeyCase getKeyCase()
    Specified by:
      `getKeyCase` in interface `TraceRmi.ObjSpecOrBuilder`

  - ### clearKey

    public TraceRmi.ObjSpec.Builder clearKey()

  - ### hasId

    public boolean hasId()
    `int64 id = 1;`
    Specified by:
      `hasId` in interface `TraceRmi.ObjSpecOrBuilder`
    Returns:
      Whether the id field is set.

  - ### getId

    public long getId()
    `int64 id = 1;`
    Specified by:
      `getId` in interface `TraceRmi.ObjSpecOrBuilder`
    Returns:
      The id.

  - ### setId

    public TraceRmi.ObjSpec.Builder setId(long value)
    `int64 id = 1;`
    Parameters:
      `value` - The id to set.
    Returns:
      This builder for chaining.

  - ### clearId

    public TraceRmi.ObjSpec.Builder clearId()
    `int64 id = 1;`
    Returns:
      This builder for chaining.

  - ### hasPath

    public boolean hasPath()
    `.ghidra.rmi.trace.ObjPath path = 2;`
    Specified by:
      `hasPath` in interface `TraceRmi.ObjSpecOrBuilder`
    Returns:
      Whether the path field is set.

  - ### getPath

    public TraceRmi.ObjPath getPath()
    `.ghidra.rmi.trace.ObjPath path = 2;`
    Specified by:
      `getPath` in interface `TraceRmi.ObjSpecOrBuilder`
    Returns:
      The path.

  - ### setPath

    public TraceRmi.ObjSpec.Builder setPath(TraceRmi.ObjPath value)
    `.ghidra.rmi.trace.ObjPath path = 2;`

  - ### setPath

    public TraceRmi.ObjSpec.Builder setPath(TraceRmi.ObjPath.Builder builderForValue)
    `.ghidra.rmi.trace.ObjPath path = 2;`

  - ### mergePath

    public TraceRmi.ObjSpec.Builder mergePath(TraceRmi.ObjPath value)
    `.ghidra.rmi.trace.ObjPath path = 2;`

  - ### clearPath

    public TraceRmi.ObjSpec.Builder clearPath()
    `.ghidra.rmi.trace.ObjPath path = 2;`

  - ### getPathBuilder

    public TraceRmi.ObjPath.Builder getPathBuilder()
    `.ghidra.rmi.trace.ObjPath path = 2;`

  - ### getPathOrBuilder

    public TraceRmi.ObjPathOrBuilder getPathOrBuilder()
    `.ghidra.rmi.trace.ObjPath path = 2;`
    Specified by:
      `getPathOrBuilder` in interface `TraceRmi.ObjSpecOrBuilder`